%global srcname sphinx-testing

Name:           python-%{srcname}
Version:        0.8.1
Release:        1%{?dist}
Summary:        Testing utility classes and functions for Sphinx extensions

License:        BSD
URL:            https://github.com/sphinx-doc/sphinx-testing
Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(nose-cov)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)

%global common_desc \
This package provides a few utility classes and functions to help\
authors of Sphinx extensions write tests for those extensions.

%description
%common_desc

%package -n python3-%{srcname}
Summary:        Testing utility classes and functions for Sphinx extensions
Requires:       python3dist(six)
Requires:       python3dist(sphinx)
%{?python_provide:%python_provide python3-%{srcname}}

# This can be removed when F29 reaches EOL
Obsoletes:      python2-%{srcname} < 0.7.2-6
Provides:       python2-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}
%common_desc

%prep
%autosetup -p0 -n %{srcname}-%{version}

# Remove useless shebang
sed -i '\@/usr/bin/env python@d' src/sphinx_testing/path.py

%build
%py3_build
python3 %{_bindir}/rst2html --no-datestamp CHANGES.rst changes.html
python3 %{_bindir}/rst2html --no-datestamp README.rst readme.html

%install
%py3_install

%check
PYTHONPATH=$PWD nosetests-%{python3_version} -v

%files -n python3-%{srcname}
%doc AUTHORS Sphinx-AUTHORS *.html
%license LICENSE
%{python3_sitelib}/sphinx_testing*

%changelog
* Mon Nov 26 2018 Jerry James <loganjerry@gmail.com> - 0.8.1-1
- New upstream version
- Drop all patches; all upstreamed

* Thu Nov 22 2018 Jerry James <loganjerry@gmail.com> - 0.7.2-6
- Drop python2 subpackage (bz 1645075)
- Use upstream's version of the -test patch
- Add -badge, -sphinx8, -desc, and -py33 patches from upstream

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7.2-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu May  4 2017 Jerry James <loganjerry@gmail.com> - 0.7.2-1
- New upstream version (bz 1447818)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.7.1-3
- Rebuild for Python 3.6

* Tue Mar  1 2016 Jerry James <loganjerry@gmail.com> - 0.7.1-2
- Clarify the description
- Fix nosetests invocation
- Don't preserve timestamp of altered file

* Thu Feb 25 2016 Jerry James <loganjerry@gmail.com> - 0.7.1-1
- Initial RPM
